org.keycloak.representations.idm

## Class SynchronizationResultRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.SynchronizationResultRepresentation

-     public class SynchronizationResultRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizationResultRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdded()`
    `int` | `getFailed()`
    `int` | `getRemoved()`
    `String` | `getStatus()`
    `int` | `getUpdated()`
    `boolean` | `isIgnored()`
    `void` | `setAdded(int added)`
    `void` | `setFailed(int failed)`
    `void` | `setIgnored(boolean ignored)`
    `void` | `setRemoved(int removed)`
    `void` | `setStatus(String status)`
    `void` | `setUpdated(int updated)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizationResultRepresentation

          public SynchronizationResultRepresentation()

  - ### Method Detail

    - #### isIgnored

          public boolean isIgnored()

    - #### setIgnored

          public void setIgnored(boolean ignored)

    - #### getAdded

          public int getAdded()

    - #### setAdded

          public void setAdded(int added)

    - #### getUpdated

          public int getUpdated()

    - #### setUpdated

          public void setUpdated(int updated)

    - #### getRemoved

          public int getRemoved()

    - #### setRemoved

          public void setRemoved(int removed)

    - #### getFailed

          public int getFailed()

    - #### setFailed

          public void setFailed(int failed)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

Copyright © 2021 JBoss by Red Hat. All rights reserved.